## gimpexport gimpexport |

## Functions

GimpExportReturn | gimp_export_image ()
GtkWidget * | gimp_export_dialog_new ()
GtkWidget * | gimp_export_dialog_get_content_area ()

## Types and Values

enum | GimpExportCapabilities
enum | GimpExportReturn

## Description

## Functions

### gimp_export_image ()

    GimpExportReturn
    gimp_export_image (gint32 *image_ID,
                       gint32 *drawable_ID,
                       const gchar *format_name,
                       GimpExportCapabilities capabilities);

### gimp_export_dialog_new ()

    GtkWidget *
    gimp_export_dialog_new (const gchar *format_name,
                            const gchar *role,
                            const gchar *help_id);

Since: GIMP 2.8

### gimp_export_dialog_get_content_area ()

    GtkWidget *
    gimp_export_dialog_get_content_area (GtkWidget *dialog);

Since: GIMP 2.8

## Types and Values

### enum GimpExportCapabilities

#### Members

GIMP_EXPORT_CAN_HANDLE_RGB |  |
GIMP_EXPORT_CAN_HANDLE_GRAY |  |
GIMP_EXPORT_CAN_HANDLE_INDEXED |  |
GIMP_EXPORT_CAN_HANDLE_BITMAP |  |
GIMP_EXPORT_CAN_HANDLE_ALPHA |  |
GIMP_EXPORT_CAN_HANDLE_LAYERS |  |
GIMP_EXPORT_CAN_HANDLE_LAYERS_AS_ANIMATION |  |
GIMP_EXPORT_CAN_HANDLE_LAYER_MASKS |  |
GIMP_EXPORT_NEEDS_ALPHA |  |

### enum GimpExportReturn

#### Members

GIMP_EXPORT_CANCEL |  |
GIMP_EXPORT_IGNORE |  |
GIMP_EXPORT_EXPORT |  |